SHELL := /bin/bash
os := $(shell uname -s)
conda-install := $(shell which conda)

miniconda-installed conda-install:
	# Check if data env is activated
	@([ ${CONDA_DEFAULT_ENV} == data ] && conda env update) || \
	conda activate data

conda-install:
	if [ -z conda-install ]; \
	then \
		@url="https://repo.anaconda.com/miniconda/" \
		if [ "$(os)" == "Darwin" ]; \
		then \
			file="Miniconda3-latest-MacOSX-x86_64.sh"; \
		elif [ "$(os)" == "Linux" ]; \
		then \
			file="Miniconda3-latest-Linux-x86_64.sh"; \
		fi \
		wget $(addsuffix $(file),$(url)) -P ${HOME} \
		chmod +x ${HOME}/$$file \
		$$HOME/$$file \
	fi

clean-conda:
	conda deactivate