

# using sys to get the function name when throwing around exceptions.
# https://stackoverflow.com/questions/251464/how-to-get-a-function-name-as-a-string-in-python
# this_function_name = sys._getframe().f_code.co_name
import sys


def def_name():
    """ Get the name of the calling function

    This is a recipe from the python cookbook, attribution given in the sources I found to Alex Martelli.

    :return: the name of the calling function
    """
    return sys._getframe(1).f_code.co_name


class ResponseMsg(object):
    SUCCESS = 0
    SOFT_ERROR = 1
    HARD_ERROR = 2

    def __init__(self, flag, code, msg):
        self.success = flag
        self.code = code
        self.message = msg

    def __repr__(self):
        r""" Return the string representation of this class.

        :return: The string representation of self.
        """
        repr_str_list = ['{c}(']
        temp = ['{0}={{s.{0}}}'.format(key) for key in vars(self)]
        self_list = ', '.join(temp)
        repr_str_list.append(self_list)
        repr_str_list.append(')')

        return ''.join(repr_str_list).format(c=ResponseMsg.__name__, s=self)

    def as_dict(self):
        return dict(
            success=self.success,
            code=self.code,
            message=self.message
        )
